Subject: Re: bug#27150: plan9-like text editor wily
From: ng0 <[email-masked]>
To: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Thu, 1 Jun 2017 22:59:36 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

ng0 transcribed 1.5K bytes:
> Ludovic Courtès transcribed 1.2K bytes:
> > ng0 <[email-masked]> skribis:
> > 
> > > From 551a544eab8f4295581ace79a5c8b5b2a9c3b581 Mon Sep 17 00:00:00 2001
> > > From: ng0 <[email-masked]>
> > > Date: Mon, 8 May 2017 18:08:24 +0000
> > > Subject: [PATCH] gnu: Add wily.
> > >
> > > * gnu/packages/text-editors.scm (wily): New variable.
> > 
> > [...]
> > 
> > > +    (home-page "http://www.cse.yorku.ca/~oz/wily/")
> > > +    (synopsis "Implementation of ACME")
> > > +    (description
> > > +     "Wily is a mouse-oriented, text-based environment for programmers.
> > > +It lets you interact with files, directories and programs through mouse and keyboard
> > > +operations on plain text.  Most of Wily's design (but none of its code) comes
> > > +from Rob Pike's acme.")
> > > +    (license license:gpl3+)))
> > 
> > On closer inspection, the license is not GPLv3+ at all, AFAICS.  There’s
> > an ‘Artistic’ file license with the old Artistic license, which is
> > non-free AFAIK.  And there’s code in libframe/ for instance marked as:
> > 
> >   /* Copyright (c) 1992 AT&T - All rights reserved. */
> > 
> > Lacking additional info, that makes it non-free.  There’s also a bunch
> > of Plan 9 headers and stuff taken as-is.
> > 
> > Do you know of free distros that provide Wily?  Could you check whether
> > I’m missing something?
> > 
> > Thanks,
> > Ludo’.
> > 
> 
> Oh no :(
> 
> I must have missed this, I really thought I checked for licenses!
> So it keep in my package repository.
> 
> Sorry.
> -- 
> ng0
> OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
> 

I am closing this bug. With 'Artistic' as a license
this will never be included in Guix master, case is
clear.

Thanks for the review
-- 
ng0
OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588